org.apache.calcite.avatica.proto

## Interface Responses.PrepareResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.PrepareResponse, Responses.PrepareResponse.Builder

Enclosing class:
  Responses

    public static interface Responses.PrepareResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Responses.RpcMetadata` `getMetadata()` `optional .RpcMetadata metadata = 2;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `optional .RpcMetadata metadata = 2;`
`Common.StatementHandle` `getStatement()` `optional .StatementHandle statement = 1;`
`Common.StatementHandleOrBuilder` `getStatementOrBuilder()` `optional .StatementHandle statement = 1;`
`boolean` `hasMetadata()` `optional .RpcMetadata metadata = 2;`
`boolean` `hasStatement()` `optional .StatementHandle statement = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasStatement

    boolean hasStatement()

`optional .StatementHandle statement = 1;`

#### getStatement

    Common.StatementHandle getStatement()

`optional .StatementHandle statement = 1;`

#### getStatementOrBuilder

    Common.StatementHandleOrBuilder getStatementOrBuilder()

`optional .StatementHandle statement = 1;`

#### hasMetadata

    boolean hasMetadata()

`optional .RpcMetadata metadata = 2;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`optional .RpcMetadata metadata = 2;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`optional .RpcMetadata metadata = 2;`